Bug 46772 - apache2: Multiple issues (4.3)
apache2: Multiple issues (4.3)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.3
All Linux
: P3 normal (vote)
: UCS 4.3-0-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on:
Blocks: 47029
  Show dependency treegraph
 
Reported: 2018-04-04 17:11 CEST by Philipp Hahn
Modified: 2018-05-17 15:22 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 5.9 (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2018-04-04 17:11:34 CEST
New Debian apache2 2.4.25-3+deb9u4A~4.3.0.201804040703 fixes:
This update addresses the following issues:
* When generating an HTTP Digest authentication challenge, the nonce sent to
  prevent reply attacks was not correctly generated using a pseudo-random
  seed. In a cluster of servers using a common Digest authentication
  configuration, HTTP requests could be replayed across servers by an
  attacker without detection. (CVE-2018-1312)
* mod_authnz_ldap, if configured with AuthLDAPCharsetConfig, uses the
  Accept-Language header value to lookup the right charset encoding when
  verifying the user's credentials. If the header value is not present in the
  charset conversion table, a fallback mechanism is used to truncate it to a
  two characters value to allow a quick retry (for example, 'en-US' is
  truncated to 'en'). A header value of less than two characters forces an
  out of bound write of one NUL byte to a memory location that is not part of
  the string. In the worst case, quite unlikely, the process would crash
  which could be used as a Denial of Service attack. In the more likely case,
  this memory is already reserved for future use and the issue has no effect
  at all. (CVE-2017-15710)
* The expression specified in <FilesMatch> could match '$' to a newline
  character in a malicious filename, rather than matching only the end of the
  filename. This could be exploited in environments where uploads of some
  files are are externally blocked, but only by matching the trailing portion
  of the filename. (CVE-2017-15715)
* A specially crafted request could have crashed the Apache HTTP Server due
  to an out of bound access after a size limit is reached by reading the HTTP
  header. This vulnerability is considered very hard if not impossible to
  trigger in non-debug mode (both log and build level), so it is classified
  as low risk for common server usage. (CVE-2018-1301)
* A specially crafted HTTP request header could have crashed the Apache HTTP
  Server due to an out of bound read while preparing data to be cached in
  shared memory. It could be used as a Denial of Service attack against users
  of mod_cache_socache. The vulnerability is considered as low risk since
  mod_cache_socache is not widely used, mod_cache_disk is not concerned by
  this vulnerability. (CVE-2018-1303)
* When mod_session is configured to forward its session data to CGI
  applications (SessionEnv on, not the default), a remote user may influence
  their content by using a "Session" header. This comes from the
  "HTTP_SESSION" variable name used by mod_session to forward its data to
  CGIs, since the prefix "HTTP_" is also used by the Apache HTTP Server to
  pass HTTP header fields, per CGI specifications. (CVE-2018-1283)

CVE-2018-1312 httpd: Weak Digest auth nonce generation in mod_auth_digest
CVE-2017-15710 httpd: Out of bound write in mod_authnz_ldap when using too small Accept-Language values
CVE-2017-15715 httpd: <FilesMatch> bypass with a trailing newline in the file name
CVE-2018-1301 httpd: Out of bound access after failure in reading the HTTP request
CVE-2018-1303 httpd: Out of bounds read in mod_cache_socache can allow a remote attacker to cause a denial of service
CVE-2018-1283 httpd: Improper handling of headers in mod_session can allow a remote user to modify session data for CGI applications
Comment 1 Philipp Hahn univentionstaff 2018-04-04 17:20:40 CEST
[4.3-0] 04b9b91568 Bug #46772: apache2_2.4.25-3+deb9u4A~4.3.0.201804040703
Comment 2 Quality Assurance univentionstaff 2018-05-04 16:43:30 CEST
--- mirror/ftp/4.3/unmaintained/4.3-0/source/apache2_2.4.25-3+deb9u3A~4.3.0.201711272012.dsc
+++ apt/ucs_4.3-0-errata4.3-0/source/apache2_2.4.25-3+deb9u4A~4.3.0.201804040703.dsc
@@ -1,9 +1,25 @@
-2.4.25-3+deb9u3A~4.3.0.201711272012 [Mon, 27 Nov 2017 20:29:17 +0100] Univention builddaemon <buildd@univention.de>:
+2.4.25-3+deb9u4A~4.3.0.201804040703 [Wed, 04 Apr 2018 17:11:22 +0200] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. The following patches have been applied to the original source package
     05-autostart-setting
     10-apache2-reload
     20-no-proxy
+
+2.4.25-3+deb9u4 [Sat, 31 Mar 2018 10:47:16 +0200] Stefan Fritsch <sf@debian.org>:
+
+  * CVE-2017-15710: mod_authnz_ldap: Out of bound write in mod_authnz_ldap
+    when using too small Accept-Language values.
+  * CVE-2017-15715: <FilesMatch> bypass with a trailing newline in the file
+    name.
+    Configure the regular expression engine to match '$' to the end of
+    the input string only, excluding matching the end of any embedded
+    newline characters. Behavior can be changed with new directive
+    'RegexDefaultOptions'.
+  * CVE-2018-1283: Tampering of mod_session data for CGI applications.
+  * CVE-2018-1301: Possible out of bound access after failure in reading the
+    HTTP request
+  * CVE-2018-1303: Possible out of bound read in mod_cache_socache
+  * CVE-2018-1312: mod_auth_digest: Weak Digest auth nonce generation
 
 2.4.25-3+deb9u3 [Tue, 19 Sep 2017 20:58:57 +0200] Salvatore Bonaccorso <carnil@debian.org>:
Comment 3 Arvid Requate univentionstaff 2018-05-14 18:51:48 CEST
* UCS specific patches merged and applied during built
* Comparison to previously shipped version ok
* Binary package update Ok
* Advisory adjusted:
  8865a7d151 | Sort CVEs
Comment 4 Arvid Requate univentionstaff 2018-05-16 17:04:17 CEST
<http://errata.software-univention.de/ucs/4.3/41.html>